apiVersion: v2
name: capif
description: A Helm chart to CAPIF in Kubernetes
# A chart can be either an 'application' or a 'library' chart.
#
# Application charts are a collection of templates that can be packaged into versioned archives
# to be deployed.
#
# Library charts provide useful utilities or functions for the chart developer. They're included as
# a dependency of application charts to inject those utilities and functions into the rendering
# pipeline. Library charts do not define any templates and therefore cannot be deployed.
type: application
# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: v3.1.6
# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application. Versions are not expected to
# follow Semantic Versioning. They should reflect the version the application is using.
# It is recommended to use it with quotes.
appVersion: "v3.1.6"
dependencies:
  - name: ocf-access-control-policy
    version: "*"
  - name: ocf-api-invoker-management
    version: "*"
  - name: ocf-api-provider-management
    version: "*"
  - name: ocf-api-invocation-logs
    version: "*"
  - name: ocf-events
    version: "*"
  - name: ocf-helper
    version: "*"
  - name: ocf-routing-info
    version: "*"
  - name: ocf-security
    version: "*"
  - name: ocf-register
    version: "*"
  - name: mongo-register
    version: "*"
  - name: ocf-auditing-api-logs
    version: "*"
  - name: ocf-publish-service-api
    version: "*"
  - name: ocf-discover-service-api
    version: "*"
  - name: mongo
    version: "*"
  - name: mongo-express
    version: "*"
  - name: mongo-register-express
    version: "*"
  - name: nginx
    version: "*"
  - name: mock-server
    version: "*"
  - name: redis
    version: "*"
  - name: fluentbit
    version: "*"
  - name: grafana
    version: "*"
  - name: loki
    version: "*"
  - name: otelcollector
    version: "*"
  - name: renderer
    version: "*"
  - name: "tempo"
    condition: tempo.enabled
    repository: "https://grafana.github.io/helm-charts"
    version: "^1.3.1"
